Home | All Classes | Grouped Classes | Index | Search

# CL_IRCConnection::CL_IRCConnection

Constructs a CL_IRCConnection and connects a server.

    	CL_IRCConnection();

    	CL_IRCConnection(
    		const std::string& server, const std::string& port = "6667");

    	CL_IRCConnection(
    		const CL_IRCConnection& copy);

Parameters:

server
  IRC server host name. Ie. "irc.freenode.net".
port
  IRC server port. Defaults to "6667".

See also:

CL_IRCConnection

Questions or comments, write to the ClanLib mailing list.